# frozen_string_literal: true

module Types
  module Vulnerability
    class IssueLinkTypeEnum < BaseEnum
      graphql_name 'VulnerabilityIssueLinkType'
      description 'The type of the issue link related to a vulnerability.'

      ::Vulnerabilities::IssueLink.link_types.keys.each do |link_type|
        value link_type.to_s.upcase, value: link_type.to_s
      end
    end
  end
end
